"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const path = require("path");
const native_1 = require("../../native");
const child_process_1 = require("../../utils/child-process");
const package_manager_1 = require("../../utils/package-manager");
async function default_1(options, context) {
    const pm = (0, package_manager_1.getPackageManagerCommand)();
    try {
        await new Promise((res, rej) => {
            const cp = new child_process_1.PseudoTtyProcess((0, native_1.runCommand)(pm.run(options.script, options.__unparsed__.join(' ')), path.join(context.root, context.projectsConfigurations.projects[context.projectName].root), process.env));
            cp.onExit((code) => {
                if (code === 0) {
                    res();
                }
                else if (code >= 128) {
                    process.exit(code);
                }
                else {
                    rej();
                }
            });
        });
        return { success: true };
    }
    catch (e) {
        return { success: false };
    }
}
exports.default = default_1;
